/**Begin D:\PDM_UPGRADE\PDM1\CADM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_CADREJOINCONG')
CREATE TABLE T_CADM_CADREJOINCONG
(
    FENTRYID          BIGINT        DEFAULT 0   NOT NULL,
    FID               BIGINT        DEFAULT 0   NOT NULL,
    FSEQ              INT           DEFAULT 0   NOT NULL,
    FELECTIONDATE     DATETIME,
    FCONGRESSNAME     NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FIDENTITYPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_CADREEDUEXP')
CREATE TABLE T_CADM_CADREEDUEXP
(
    FENTRYID          BIGINT         DEFAULT 0   NOT NULL,
    FID               BIGINT         DEFAULT 0   NOT NULL,
    FSEQ              INT            DEFAULT 0   NOT NULL,
    FADMISSIONDATE    DATETIME,
    FGRADUTIONDATE    DATETIME,
    FCOLLEGEDEPTMAJOR NVARCHAR(1200) DEFAULT ' ' NOT NULL,
    FGRADUATION       NVARCHAR(100)  DEFAULT ' ' NOT NULL,
    FRETERENCE        NVARCHAR(200)  DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_CADREFAMILYMEM')
CREATE TABLE T_CADM_CADREFAMILYMEM
(
    FENTRYID           BIGINT         DEFAULT 0   NOT NULL,
    FID                BIGINT         DEFAULT 0   NOT NULL,
    FSEQ               INT            DEFAULT 0   NOT NULL,
    FFAMILYMEMBSHIPID  BIGINT         DEFAULT 0   NOT NULL,
    FNAME              NVARCHAR(200)  DEFAULT ' ' NOT NULL,
    FBIRTHDAY          DATETIME,
    FPOLITICALSTATUSID BIGINT         DEFAULT 0   NOT NULL,
    FWORKUNITPOSITION  NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_CADRESOCIALREL')
CREATE TABLE T_CADM_CADRESOCIALREL
(
    FENTRYID           BIGINT         DEFAULT 0   NOT NULL,
    FID                BIGINT         DEFAULT 0   NOT NULL,
    FSEQ               INT            DEFAULT 0   NOT NULL,
    FTITLE             NVARCHAR(255)  DEFAULT ' ' NOT NULL,
    FNAME              NVARCHAR(200)  DEFAULT ' ' NOT NULL,
    FBIRTHDAY          DATETIME,
    FPOLITICALSTATUSID BIGINT         DEFAULT 0   NOT NULL,
    FWORKUNITPOSITION  NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_CADREWORKEXP')
CREATE TABLE T_CADM_CADREWORKEXP
(
    FENTRYID   BIGINT         DEFAULT 0   NOT NULL,
    FID        BIGINT         DEFAULT 0   NOT NULL,
    FSEQ       INT            DEFAULT 0   NOT NULL,
    FSTARTDATE DATETIME,
    FENDDATE   DATETIME,
    FUNITNAME  NVARCHAR(1000) DEFAULT ' ' NOT NULL,
    FRETERENCE NVARCHAR(200)  DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_CADRERESUME')
CREATE TABLE T_CADM_CADRERESUME
(
    FID                 BIGINT         DEFAULT 0   NOT NULL,
    FCREATORID          BIGINT         DEFAULT 0   NOT NULL,
    FCREATETIME         DATETIME,
    FMODIFIERID         BIGINT         DEFAULT 0   NOT NULL,
    FMODIFYTIME         DATETIME,
    FPERSONID           BIGINT         DEFAULT 0   NOT NULL,
    FEMPLOYEEID         BIGINT         DEFAULT 0   NOT NULL,
    FHEADSCULPTURE      VARCHAR(255)   DEFAULT ' ' NOT NULL,
    FGENDERID           BIGINT         DEFAULT 0   NOT NULL,
    FADMINORGID         BIGINT         DEFAULT 0   NOT NULL,
    FCADRECATEGORYID    BIGINT         DEFAULT 0   NOT NULL,
    FPOSTSTATUS         VARCHAR(2)     DEFAULT ' ' NOT NULL,
    FJOBLEVELID         BIGINT         DEFAULT 0   NOT NULL,
    FJOBGRADEID         BIGINT         DEFAULT 0   NOT NULL,
    FSERVICELEN         DECIMAL(19, 6) DEFAULT 0   NOT NULL,
    FENTSERVICELEN      DECIMAL(19, 6) DEFAULT 0   NOT NULL,
    FMANPOSTSERVICELEN  DECIMAL(19, 6) DEFAULT 0   NOT NULL,
    FFOLKID             BIGINT         DEFAULT 0   NOT NULL,
    FFORMERNAME         NVARCHAR(200)  DEFAULT ' ' NOT NULL,
    FBIRTHDAY           DATETIME,
    FNATIVEPLACE        NVARCHAR(255)  DEFAULT ' ' NOT NULL,
    FBIRTHPLACE         NVARCHAR(255)  DEFAULT ' ' NOT NULL,
    FMARRIAGESTATUSID   BIGINT         DEFAULT 0   NOT NULL,
    FHEALTHSTATUSID     BIGINT         DEFAULT 0   NOT NULL,
    FIDNUMBER           VARCHAR(60)    DEFAULT ' ' NOT NULL,
    FFTDEGREE           NVARCHAR(255)  DEFAULT ' ' NOT NULL,
    FFTCOLLEGEDEPTMAJOR NVARCHAR(1200) DEFAULT ' ' NOT NULL,
    FINSERVICEDEGREE    NVARCHAR(255)  DEFAULT ' ' NOT NULL,
    FISCOLLEGEDEPTMAJOR NVARCHAR(1200) DEFAULT ' ' NOT NULL,
    FWORKUNIT           NVARCHAR(255)  DEFAULT ' ' NOT NULL,
    FPOSITION           NVARCHAR(255)  DEFAULT ' ' NOT NULL,
    FWORKUNITPOSITION   NVARCHAR(1000) DEFAULT ' ' NOT NULL,
    FPOLITICALSTATUSID  BIGINT         DEFAULT 0   NOT NULL,
    FUSERSAVED          CHAR(1)        DEFAULT '0' NOT NULL,
    FFIRSTWORKTIMEUNIT  NVARCHAR(500)  DEFAULT ' ' NOT NULL,
    FPARTYINFO          NVARCHAR(500)  DEFAULT ' ' NOT NULL,
    FYCLINFO            NVARCHAR(255)  DEFAULT ' ' NOT NULL,
    FDEMOCRATICPARTY    NVARCHAR(500)  DEFAULT ' ' NOT NULL,
    FTITLE              NVARCHAR(1000) DEFAULT ' ' NOT NULL,
    FMILITARYRANK       NVARCHAR(1000) DEFAULT ' ' NOT NULL,
    FPATENT             NVARCHAR(1000) DEFAULT ' ' NOT NULL,
    FRELIGION           NVARCHAR(500)  DEFAULT ' ' NOT NULL,
    FINVOLVINGCONGRESS  CHAR(1)        DEFAULT '0' NOT NULL,
    FREPEATMARRY        CHAR(1)        DEFAULT '0' NOT NULL,
    FEDITORNAME         VARCHAR(200)   DEFAULT ' ' NOT NULL,
    FEXAMINENAME        VARCHAR(255)   DEFAULT ' ' NOT NULL,
    FEDITDATE           DATETIME,
    FEXAMINEDATE        DATETIME,
    FSYSUPDATETIME      DATETIME,
    FBUSINESSUPDATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CADM_CADRERESUME_A')
CREATE TABLE T_CADM_CADRERESUME_A
(
    FID                 BIGINT         DEFAULT 0   NOT NULL,
    FLANGSKILL          NVARCHAR(1000) DEFAULT ' ' NOT NULL,
    FABROAD             NVARCHAR(1000) DEFAULT ' ' NOT NULL,
    FREWARD             NVARCHAR(1000) DEFAULT ' ' NOT NULL,
    FPUNISHMENT         NVARCHAR(1000) DEFAULT ' ' NOT NULL,
    FREACTIONARY        NVARCHAR(1000) DEFAULT ' ' NOT NULL,
    FOTHERINFO          NVARCHAR(1000) DEFAULT ' ' NOT NULL,
    FSNAME              NVARCHAR(200)  DEFAULT ' ' NOT NULL,
    FSFOLKID            BIGINT         DEFAULT 0   NOT NULL,
    FSNATIVEPLACE       NVARCHAR(255)  DEFAULT ' ' NOT NULL,
    FSBIRTHPLACE        NVARCHAR(255)  DEFAULT ' ' NOT NULL,
    FSPROFTECHPOSITION  NVARCHAR(255)  DEFAULT ' ' NOT NULL,
    FSEDUCATIONID       BIGINT         DEFAULT 0   NOT NULL,
    FSCOLLEGEDEPTMAJOR  NVARCHAR(1200) DEFAULT ' ' NOT NULL,
    FSWORKUNITPOSITION  NVARCHAR(1000) DEFAULT ' ' NOT NULL,
    FSBIRTHDAY          DATETIME,
    FSJOINWORKTIME      DATETIME,
    FSPOLITICALSTATUSID BIGINT         DEFAULT 0   NOT NULL
);


/**End D:\PDM_UPGRADE\PDM1\CADM_table.sql **/
